/// <reference types="./types" />
export declare class Hint {
    timeId: number;
    element: HTMLDivElement;
    recentLanguage: string;
    private splitChar;
    private lastIndex;
    private c0;
    private c1;
    private c2;
    private latexList;
    private environments;
    constructor(hintExtends: IHintExtend[]);
    render(vditor: IVditor): void;
    genLinkHintHTML: (link: HTMLElement, vditor: IVditor) => Promise<void>;
    genHTML(data: IHintData[], key: string, vditor: IVditor): void;
    fillEmoji: (element: HTMLElement, vditor: IVditor) => void;
    select(event: KeyboardEvent, vditor: IVditor): boolean;
    private getKey;
    private isMath;
}
